Opened 13 years ago

Closed 13 years ago

Last modified 11 years ago

#12138 closed submission (fixed)

NEW: x11/php-gtk

Reported by: anant@… Owned by: macports-tickets@…
Priority: Low Milestone:
Component: ports Version:
Keywords: Cc: anant@…, ryandesign (Ryan Schmidt)
Port:

Description

Hi, PHP-GTK 2 Beta was released some time ago; it would be nice to have this in Macports. The Portfile is attached.

Attachments (1)

Portfile (2.2 KB) - added by anant@… 13 years ago.
x11/php5-gtk

Download all attachments as: .zip

Change History (8)

comment:1 Changed 13 years ago by ryandesign (Ryan Schmidt)

Cc: anant@… ryandesign@… added
Milestone: New Ports

It should probably be called "php5-gtk"

Changed 13 years ago by anant@…

Attachment: Portfile added

x11/php5-gtk

comment:2 Changed 13 years ago by anant@…

Thanks, changes made to Portfile.

comment:3 Changed 13 years ago by jmpp@…

Milestone: New PortsPort Submissions

Milestone New Ports deleted

comment:4 Changed 13 years ago by nox@…

Priority: Nice to haveLow
Summary: New Port: x11/php-gtkNEW: x11/php-gtk
Version: 1.4.40

comment:5 Changed 13 years ago by yves@…

Resolution: fixed
Status: newclosed

committed changeset:28574

made a few changes :

--- /Users/yves/Desktop/Portfile	2007-07-04 14:17:43.000000000 -0400
+++ php5-gtk/Portfile	2007-09-03 19:16:47.000000000 -0400
@@ -1,14 +1,13 @@
-# $Id: Portfile 26022 2007-06-09 08:43:20Z ryandesign@macports.org $
+# $Id: Portfile 28574 2007-09-03 23:10:28Z yves@macports.org $
 
 PortSystem          1.0
 
 name                php5-gtk
 version             2.0.0beta
-categories          lang php x11
+categories          x11 lang php www
 maintainers         anant@kix.in
 homepage            http://gtk.php.net/
-distfiles           php-gtk-${version}.tar.gz:release
-worksrcdir          php-gtk-${version}
+distname            php-gtk-${version}
 platforms           darwin freebsd
 
 description \
@@ -20,7 +19,7 @@
 	desktop applications using PHP.
 
 master_sites \
-	http://gtk.php.net/distributions/:release 
+	http://gtk.php.net/distributions/ 
 
 checksums \
 	md5 a02568508c2fb13bfc1b20802d8e702b \
@@ -79,18 +78,17 @@
 }
 
 pre-configure {
-	cd ${workpath}/${worksrcdir}
+	cd ${worksrcpath}
 	system "./buildconf --with-phpize=${prefix}/bin/phpize"
 }
 
-destroot {
-	cd ${workpath}/${worksrcdir}
-	system "make install"
-	xinstall -m 755 -d ${destroot}${prefix}/share/doc/${name}
-	file copy README ${destroot}${prefix}/share/doc/${name}
-	file copy README.KNOWN-ISSUES ${destroot}${prefix}/share/doc/${name}
-	file copy NEWS ${destroot}${prefix}/share/doc/${name}
-	file copy AUTHORS ${destroot}${prefix}/share/doc/${name}
+post-destroot {
+	cd ${worksrcpath}
+	xinstall -d ${destroot}${prefix}/share/doc/${name}
+	xinstall -m 644 README ${destroot}${prefix}/share/doc/${name}
+	xinstall -m 644 README.KNOWN-ISSUES ${destroot}${prefix}/share/doc/${name}
+	xinstall -m 644 NEWS ${destroot}${prefix}/share/doc/${name}
+	xinstall -m 644 AUTHORS ${destroot}${prefix}/share/doc/${name}
 }
 
 post-install {

thanks

comment:6 Changed 11 years ago by jmroot (Joshua Root)

Type: enhancementsubmission

comment:7 Changed 11 years ago by (none)

Milestone: Port Submissions

Milestone Port Submissions deleted

Note: See TracTickets for help on using tickets.